Bug 1339743 - [RFE] Search OpenSCAP reports using host collections
Summary: [RFE] Search OpenSCAP reports using host collections
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.1.8
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 18:25 UTC by Tom Sorensen
Modified: 2019-10-07 17:19 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-0.11.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:28 UTC
Foreman Issue Tracker 20560 None None None 2017-08-11 08:23:31 UTC
Foreman Issue Tracker 25838 None None None 2019-01-11 15:10:47 UTC
Red Hat Knowledge Base (Solution) 3063481 None None None 2017-06-01 05:10:24 UTC

Description Tom Sorensen 2016-05-25 18:25:24 UTC
Description of problem:
Request enhancement to Compliance reports search to allow searching by host collection.


Version-Release number of selected component (if applicable): 6.1.8


How reproducible: Always


Steps to Reproduce:
1. Go to Hosts->Reports
2. Click on search box
3. Can search on host name, but not host collection name.


Additional info:
Based on customer request.

Comment 2 Bryan Kearney 2016-07-26 18:57:36 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 3 Ondřej Pražák 2017-08-11 08:23:29 UTC
Created redmine issue http://projects.theforeman.org/issues/20560 from this bug

Comment 4 Bryan Kearney 2018-09-04 19:22:59 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 5 Marek Hulan 2018-10-11 13:34:54 UTC
reopening as this got close to be implemented in upstream

Comment 6 pm-sat@redhat.com 2018-10-11 14:07:05 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 pm-sat@redhat.com 2018-10-11 14:07:08 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 pm-sat@redhat.com 2018-10-26 08:07:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/20560 has been resolved.

Comment 11 Jameer Pathan 2019-01-11 08:55:49 UTC
needinfo:

@satellite 6.5.0 snap 10
@tfm-rubygem-foreman_openscap-0.11.2-1.el7sat.noarch

Steps:
1. Go to Hosts->Reports
2. Click on search box
3. search using host_collection

observations:
1. search for "host_collection = HC" gives right search results.
2. search for "host_collection != HC" doesn't work correctly. It gives results of "host_collection = HC"
3. search for "not host_collection = HC" gives right search results.

-should I mark this issue as failed QA?

Comment 12 Ondřej Pražák 2019-01-11 09:24:40 UTC
Indeed, the != returns incorrect results, I'll need to look into that. I think you can fail this.

Comment 13 Jameer Pathan 2019-01-11 11:26:37 UTC
Failed QA:

@satellite 6.5.0 snap 10
@tfm-rubygem-foreman_openscap-0.11.2-1.el7sat.noarch

Comment 14 Bryan Kearney 2019-01-11 13:43:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/20560 has been resolved.

Comment 15 Marek Hulan 2019-01-11 15:09:46 UTC
Jameer, did you mena to set failed_qa so it does not auto-flip to POST?

Comment 16 Jameer Pathan 2019-01-14 05:45:08 UTC
Marek, yes I had set it to failed_qa(ASSIGNED). 
I am again setting it to failed_qa i.e ASSIGNED state.

Comment 17 Bryan Kearney 2019-01-15 09:06:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25838 has been resolved.

Comment 18 Bryan Kearney 2019-01-15 09:07:30 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25838 has been resolved.

Comment 19 Bryan Kearney 2019-01-15 09:08:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25838 has been resolved.

Comment 20 Bryan Kearney 2019-01-15 09:09:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25838 has been resolved.

Comment 21 Bryan Kearney 2019-01-15 09:10:31 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25838 has been resolved.

Comment 22 Bryan Kearney 2019-01-15 09:11:39 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25838 has been resolved.

Comment 23 Bryan Kearney 2019-01-15 09:12:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25838 has been resolved.

Comment 24 Jameer Pathan 2019-01-21 10:36:16 UTC
Verified

@satellite 6.5.0 snap 12
@tfm-rubygem-foreman_openscap-0.11.4-1.el7sat.noarch

Steps:
1. Go to Hosts->Reports
2. Click on search box
3. search using host_collection

observation:
- Search for OpenSCAP reports using host collections works as expected.

Comment 26 errata-xmlrpc 2019-05-14 12:36:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.